Mudanças entre as edições de "MediaWiki:Common.css"

De Wiki PrimeRO
Ir para navegação Ir para pesquisar
 
(125 revisões intermediárias pelo mesmo usuário não estão sendo mostradas)
Linha 1: Linha 1:
@import url("https://fonts.googleapis.com/css?family=Redressed");
/** o código CSS colocado aqui será aplicado a todos os temas
    * Antes de realizar quaisquer alterações deve-se informar aos desenvolvedores do site
    * Alterações aqui realizadas afetarão no desempenho da wiki, cuidado, realize sempre um backup da página


#myBtn {
 
  display: none;
*********** Tabela de conteúdo ***************
   position: fixed;
1 - Menu principal, barra esquerda
   bottom: 20px;
2 - Função Collapsible (Mostrar/esconder tabelas)
   right: 30px;
3 - NavBox
   z-index: 99;
4 - Wikitablec
   font-size: 18px;
5 - Metrolook
   border: none;
**************************************************
   outline: none;
*/
   background-color: red;
#ca-viewsource { display: none !important; }
   color: white;
#ca-history { display: none !important; }
   cursor: pointer;
 
   padding: 15px;
.res-img img {
   border-radius: 4px;
max-width:100%;
height:auto;
}
 
/*  1 - MENU PRINCIPAL, BARRA ESQUERDA */
 
div.barraprincipal {
    background-image:url(/w/images/b/b1/Seilá.png);
    background-repeat:no-repeat;
}
 
 
/*  2 - FUNÇÃO COLLAPSIBLE (MOSTRAR/ESCONDER TABELAS) */
 
table.collapsed tr.collapsible {
        display: none;
}
.collapseButton {              /* Mostrar/esconder botões em tabelas de conteúdos */
        float: right;          /* JavaScript de Collapsible está localizado em [[MediaWiki:Common.js]] */
        font-weight: normal;    /* O estilo destas tabelas são permitidas */
        text-align: right;
        width: auto;
}
 
/* 3 - NAVBOX */
 
table.navbox {
    background-color: #f9f9f9;
    border: 1px solid #aaa;
    clear: both;
    font-size: 90%;
    margin: 1em 0em 0em;
    padding: 2px;
    width: 100%;
}
 
table.navbox th {
    background-color: #90EE90;
    padding-left: 1em;
    padding-right: 1em;
}
 
table.navbox tr:not(:first-child) th {
    background-color: #90EE90;
}
 
 
.collapseButton {
    float: right;
    font-weight: normal;
    text-align: right;
    width: auto;
}
 
@media print {
    .navbox {
        display: none;
    }
}
 
/*  Wikitablek */
 
table.wikitablec,
table.prettytable {
  margin: 1em 1em 1em 0;
  background: #f9f9f9;
   border: 1px #aaa solid;
   border-collapse: collapse;
}
 
table.wikitablecenter,
table.prettytable {
   margin-left: auto;
  margin-right: auto;
  background: #f9f9f9;
   border: 1px #aaa solid;
   border-collapse: collapse;
}
 
table.wikitablec th, table.wikitablec td,
table.prettytable th, table.prettytable td {
   border: 1px #aaa solid;
  padding: 0.2em;
   text-align: center;
}
 
table.wikitablec th,
table.prettytable th {
   background: #f2f2f2;
  text-align: center;
}
 
table.wikitablec caption,
table.prettytable caption {
  margin-left: inherit;
  margin-right: inherit;
  font-weight: bold;
}
 
table.prettytablec code,
table.wikitablec code {
   background-color: transparent;
}
 
table.wikitablecenter th, table.wikitablecenter td,
table.prettytable th, table.prettytable td {
   border: 1px #aaa solid;
   padding: 0.2em;
   text-align: center;
}
}


#myBtn:hover {
table.wikitablecenter th,
   background-color: #555;
table.prettytable th {
   background: #f2f2f2;
  text-align: center;
}
}


.toc-btf {
table.wikitablecenter caption,
float: right;
table.prettytable caption {
position: fixed;
  margin-left: inherit;
top: 20px;
  margin-right: inherit;
right: 0;
  font-weight: bold;
background-color: #2F3136;
border: 1px solid #882233;
color: white;
line-height: 0.8;
font-size: 100%;
max-height: 100%;
overflow:auto;
}
}


table.wikitable > tr > th, table.wikitable > tr > td, table.wikitable > * > tr > th, table.wikitable > * > tr > td {
table.prettytablecenter code,
  border: 1px solid #882233 !important;
table.wikitablecenter code {
  background-color: transparent;
}
}


table.wikitable  td {
table.elements {}
  padding: 0.2em 0.4em !important;
 
  border-bottom: 1px solid #882233 !important;
table.elements th, table.elements td {
padding: 0.5em;
}
}


table.wikitable  td {
td.effective {
    border-top: none !important;
background-color: #BFFFBF;
    border-left: none !important;
}
    border-right: none !important;
    padding: 0.2em 0.4em !important;


td.ineffective {
background-color: #FFBF7F;
}
}


table.wikitable {
td.nullified {
    border: none !important;
background-color: #FFBFBF;
    background-color: #36393F;
    border-spacing: 0px 2px;
    border-collapse: inherit;
}
}
th {
 
     background-color: #882233!important;  
 
color: white;
/*  Tabelas */
     text-shadow:
 
    -1px -1px 0 #000,
.tile-row {
    1px -1px 0 #000,
     display: flex;
    -1px 1px 0 #000,
    flex-flow: row wrap;
    1px 1px 0 #000;
     margin-bottom: 1em;
}
}
span.mw-collapsible-toggle > a {
 
     color: white;
.tile-halves {
    display: block;
    flex-flow: row wrap;
    border: 1px solid #e4eaee;
    background: #ffffff;
     box-shadow: 0 0.25rem 0.35rem -0.25rem rgba(0, 0, 0, 0.1);
}
}
table td span.plainlinks {
 
.tile-halves h2 {
    font-size: 1.4em;
     font-weight: bold;
     font-weight: bold;
    border: none;
    margin: 0 0 0.4em;
}
.tile-halves .byline + h2 {
    margin-top: -0.5em;
}
.tile-top {
    width: 100%;
    padding: 1.3rem 1.5rem 0.6rem;
}
.tile-top.tile-image {
    display: flex;
    align-items: center;
    background-color: #949eaa;
    overflow: hidden;
    padding: 0;
    height: 17vw;
    max-height: 15em;
}
.tile-top.tile-image a {
    width: 100%;
}
.tile-top.tile-image img {
    width: 100%;
    height: auto;
    transition: 0.4s ease-out;
}
.tile-bottom {
    background: #ffffff;
    border-top: 1px solid #e4eaee;
    width: 100%;
    padding: 1rem 1.5rem 0.6rem;
}
.tile-bottom.link-button {
    align-self: flex-end;
    padding: 0;
}
.tile-bottom.link-button a {
    display: block;
    text-align: center;
    padding: 0.75em 1.5em 0.8em;
    text-decoration: none;
}
.tile-bottom.read-more {
    background: #f9fafa;
    transition: 0.3s ease-out;
}
.tile-bottom.read-more a {
    color: #949eaa;
    font-weight: bold;
    text-align: right;
}
.tile-bottom.read-more:hover {
    background: #f2f4f4;
}
.tile-bottom.read-more:hover .arrow {
    transform: translateX(50%);
}
}
#container-top {
 
background-color: black;
.tile-bottom.read-more .arrow {
    filter: invert(43%) sepia(50%) hue-rotate(175deg);
    margin-left: 0.4em;
    transition: 0.3s ease-out;
}
}


#container-top #container-top-l2 {
.mainpage-recent-updates .tile-halves {
     background: none;
     flex: 1;
    align-content: flex-start;
    margin-right: 0.9rem;
}
}


#container-top #container-top-l1 {
.mainpage-recent-updates .tile-halves:hover .tile-top img {
background-position: 100px 70px;
     transform: scale(1.04);
     background-size: auto 280px;
}
}
.generated-sidebar{
 
font-family:Redressed;
.mainpage-recent-updates .tile-halves:last-child {
    margin-right: 0px
}
}


#mainlogo-text h1{
body.wgl-readermode .mainpage-recent-updates .tile-image {
font-family:Redressed;
    max-height: 10.5em;
}
}


#header #site-navigation .active .pBody, #header #p-personal .active .dropdown, #header #site-navigation .portlet:hover .pBody, #header #p-personal:hover .dropdown {
.mainpage-recent-updates .tile-bottom.link-button a {
    background: url(https://shining-moon.com/helheim/skins/Splash/resources/images/corner-splash.png?22533) -100px 0px no-repeat rgba(255,255,255,1);
    background-color: #fff\9;
    box-shadow: 0px 3px 7px rgba(0,0,0,0.4);
    border: solid 1px #ccc\9;
    padding: 1.5em 1.5em 1em 1.25em;
    position: absolute;
    top: 2em;
    left: 0;
     text-align: left;
     text-align: left;
     width: 125px;
    padding: 1rem 1.5rem 0.75rem;
     z-index: 10;
}
 
.mainpage-recent-updates h2 {
    margin: -0.5em 0 0.3em;
}
 
.mainpage-recent-updates p:not(.byline) {
    font-size: 0.9em;
    line-height: 1.75em;
    color: #444e5a;
}
 
.mainpage-recent-updates .jagex-promotion .byline {
    color: #855cd8;
}
 
.mainpage-contents .tile-halves {
    flex: 1;
    margin-right: 0.9rem;
}
 
.mainpage-contents .tile-halves:hover .tile-top img {
    transform: scale(1.04);
}
 
.mainpage-contents .tile-halves:last-child {
    margin-right: 0;
}
 
.mainpage-contents .tile-top {
     width: 100%;
     height: auto;
  position: relative;
}
 
.mainpage-contents .tile-top h2 a {
     display: block;
     display: block;
    text-align: center;
    text-decoration: none;
    line-height: 4.5rem;
    padding-left: 0.45rem;
}
.mainpage-contents h2 {
    margin: 0;
    padding: 0;
}
/* 5 - METROLOOK */
/*
@import "mediawiki.mixins";
#mw-page-base {
background-color: darkseagreen !important;
background-image: none;
}
@media (max-width:768px) {
#mw-page-base {
background-color: darkseagreen;
}
}
@media only screen and (min-device-width : 768px) and (max-device-width : 1024px) and (orientation : portrait) {
#mw-page-base {
background-color: darkseagreen;
}
}
@media only screen and (min-device-width : 768px) and (max-device-width : 1024px) and (orientation : landscape) {
#mw-page-base {
background-color: darkseagreen;
}
}
div.vectorTabs a:hover {
background-color: mediumseagreen;
}
div.onhoverbg:hover {
background-color: mediumseagreen;
}
img.downarrow:hover{
background-color: mediumseagreen;
}
}


#mainlogo-text{
div.vectorMenu:hover h5 a {
cursor:pointer;
background-color: mediumseagreen;
}
}


.LogoImgWrapper img {
div.vectorMenu h5 a {
    width: 450px !important;
background-color: darkseagreen;  
    height: 300px !important;
}
}


.realmSelector select{
div.vectorMenu:hover {
    background-color: #CBCECD;
background-color: mediumseagreen;
     text-align: center;
}
     width: 17em;
 
     height: 24.7813px;
div.vectorMenu ul {
border: solid 2px darkseagreen;
border-top: none;
 
}
 
 
@media (max-width: 768px) {
#hamburgerIcon:hover {
background-color: mediumseagreen;
}
 
img.editbutton:hover {
background-color: mediumseagreen;
}
 
div.actionmenu ul {
border-top: solid 2px darkseagreen;
}
 
#left-navigation {
background-color: darkseagreen;
}
}*/
/* Allow limiting of which header levels are shown in a TOC;
  <div class="toclimit-3">, for instance, will limit to
  showing ==headings== and ===headings=== but no further
  (as long as there are no =headings= on the page, which
  there shouldn't be according to the MoS).
*/
.toclimit-2 .toclevel-1 ul,
.toclimit-3 .toclevel-2 ul,
.toclimit-4 .toclevel-3 ul,
.toclimit-5 .toclevel-4 ul,
.toclimit-6 .toclevel-5 ul,
.toclimit-7 .toclevel-6 ul {
    display: none;
}
 
 
.naviText {
     display: inline-block;
    color: #b8860b;
    cursor: pointer;
    padding: 1px;
}
 
.naviCopied {
    display: none;
    color: #b8860b;
    border: 1px dotted #e0ac28;
    padding: 0 20px;
     border-radius: 5px;
}
 
/* Hide main page header */
body.page-Main_Page h1.firstHeading {
     display:none;
}
 
/* Hide MH header */
body.page-Monster_Hunter_Portal h1.firstHeading {
    display:none;
}
}
.wikiEditor-ui-text textarea{
 
     font-size: 14px;
/* Hide Class Guides header */
    font-family: Arial, Helvetica, sans-serif;
body.page-Category:Class_Guides h1.firstHeading {
     display:none;
}
}

Edição atual tal como às 17h37min de 9 de fevereiro de 2024

/** o código CSS colocado aqui será aplicado a todos os temas
    * Antes de realizar quaisquer alterações deve-se informar aos desenvolvedores do site
    * Alterações aqui realizadas afetarão no desempenho da wiki, cuidado, realize sempre um backup da página 


 *********** Tabela de conteúdo ***************
 1 - Menu principal, barra esquerda
 2 - Função Collapsible (Mostrar/esconder tabelas)
 3 - NavBox 
 4 - Wikitablec
 5 - Metrolook
**************************************************
*/
#ca-viewsource { display: none !important; }
#ca-history { display: none !important; }

.res-img img {
	max-width:100%;
	height:auto;
}

/*  1 - MENU PRINCIPAL, BARRA ESQUERDA */

div.barraprincipal {
    background-image:url(/w/images/b/b1/Seilá.png);
    background-repeat:no-repeat;
}


/*  2 - FUNÇÃO COLLAPSIBLE (MOSTRAR/ESCONDER TABELAS) */

table.collapsed tr.collapsible {
        display: none;
}
 
.collapseButton {               /* Mostrar/esconder botões em tabelas de conteúdos */
        float: right;           /* JavaScript de Collapsible está localizado em [[MediaWiki:Common.js]] */
        font-weight: normal;    /* O estilo destas tabelas são permitidas */
        text-align: right;
        width: auto;
}

/* 3 - NAVBOX */

table.navbox {
    background-color: #f9f9f9;
    border: 1px solid #aaa;
    clear: both;
    font-size: 90%;
    margin: 1em 0em 0em;
    padding: 2px;
    width: 100%;
}

table.navbox th {
    background-color: #90EE90;
    padding-left: 1em;
    padding-right: 1em;
}

table.navbox tr:not(:first-child) th {
    background-color: #90EE90;
}


.collapseButton {
    float: right;
    font-weight: normal;
    text-align: right;
    width: auto;
}

@media print {
    .navbox {
        display: none;
    }
}

/*   Wikitablek */

table.wikitablec,
table.prettytable {
  margin: 1em 1em 1em 0;
  background: #f9f9f9;
  border: 1px #aaa solid;
  border-collapse: collapse;
}

table.wikitablecenter, 
table.prettytable {
  margin-left: auto;
  margin-right: auto;
  background: #f9f9f9;
  border: 1px #aaa solid;
  border-collapse: collapse;
} 

table.wikitablec th, table.wikitablec td,
table.prettytable th, table.prettytable td {
  border: 1px #aaa solid;
  padding: 0.2em;
  text-align: center;
}

table.wikitablec th,
table.prettytable th {
  background: #f2f2f2;
  text-align: center;
}

table.wikitablec caption,
table.prettytable caption {
  margin-left: inherit;
  margin-right: inherit;
  font-weight: bold;
}

table.prettytablec code,
table.wikitablec code {
  background-color: transparent;
}

table.wikitablecenter th, table.wikitablecenter td,
table.prettytable th, table.prettytable td {
  border: 1px #aaa solid;
  padding: 0.2em;
  text-align: center;
}

table.wikitablecenter th,
table.prettytable th {
  background: #f2f2f2;
  text-align: center;
}

table.wikitablecenter caption,
table.prettytable caption {
  margin-left: inherit;
  margin-right: inherit;
  font-weight: bold;
}

table.prettytablecenter code,
table.wikitablecenter code {
  background-color: transparent;
}

table.elements {}

table.elements th, table.elements td {
	padding: 0.5em;
}

td.effective {
	background-color: #BFFFBF;
}

td.ineffective {
	background-color: #FFBF7F;
}

td.nullified {
	background-color: #FFBFBF;
}


/*   Tabelas */

.tile-row {
    display: flex;
    flex-flow: row wrap;
    margin-bottom: 1em;
}

.tile-halves {
    display: block;
    flex-flow: row wrap;
    border: 1px solid #e4eaee;
    background: #ffffff;
    box-shadow: 0 0.25rem 0.35rem -0.25rem rgba(0, 0, 0, 0.1);
}

.tile-halves h2 {
    font-size: 1.4em;
    font-weight: bold;
    border: none;
    margin: 0 0 0.4em;
}

.tile-halves .byline + h2 {
    margin-top: -0.5em;
}

.tile-top {
    width: 100%;
    padding: 1.3rem 1.5rem 0.6rem;
}

.tile-top.tile-image {
    display: flex;
    align-items: center;
    background-color: #949eaa;
    overflow: hidden;
    padding: 0;
    height: 17vw;
    max-height: 15em;
}

.tile-top.tile-image a {
    width: 100%;
}

.tile-top.tile-image img {
    width: 100%;
    height: auto;
    transition: 0.4s ease-out;
}

.tile-bottom {
    background: #ffffff;
    border-top: 1px solid #e4eaee;
    width: 100%;
    padding: 1rem 1.5rem 0.6rem;
}

.tile-bottom.link-button {
    align-self: flex-end;
    padding: 0;
}

.tile-bottom.link-button a {
    display: block;
    text-align: center;
    padding: 0.75em 1.5em 0.8em;
    text-decoration: none;
}

.tile-bottom.read-more {
    background: #f9fafa;
    transition: 0.3s ease-out;
}

.tile-bottom.read-more a {
    color: #949eaa;
    font-weight: bold;
    text-align: right;
}

.tile-bottom.read-more:hover {
    background: #f2f4f4;
}

.tile-bottom.read-more:hover .arrow {
    transform: translateX(50%);
}

.tile-bottom.read-more .arrow {
    filter: invert(43%) sepia(50%) hue-rotate(175deg);
    margin-left: 0.4em;
    transition: 0.3s ease-out;
}

.mainpage-recent-updates .tile-halves {
    flex: 1;
    align-content: flex-start;
    margin-right: 0.9rem;
}

.mainpage-recent-updates .tile-halves:hover .tile-top img {
    transform: scale(1.04);
}

.mainpage-recent-updates .tile-halves:last-child {
    margin-right: 0px
}

body.wgl-readermode .mainpage-recent-updates .tile-image {
    max-height: 10.5em;
}

.mainpage-recent-updates .tile-bottom.link-button a {
    text-align: left;
    padding: 1rem 1.5rem 0.75rem;
}

.mainpage-recent-updates h2 {
    margin: -0.5em 0 0.3em;
}

.mainpage-recent-updates p:not(.byline) {
    font-size: 0.9em;
    line-height: 1.75em;
    color: #444e5a;
}

.mainpage-recent-updates .jagex-promotion .byline {
    color: #855cd8;
}

.mainpage-contents .tile-halves {
    flex: 1;
    margin-right: 0.9rem;
}

.mainpage-contents .tile-halves:hover .tile-top img {
    transform: scale(1.04);
}

.mainpage-contents .tile-halves:last-child {
    margin-right: 0;
}

.mainpage-contents .tile-top {
    width: 100%;
    height: auto;
   position: relative;
}

.mainpage-contents .tile-top h2 a {
    display: block;
    text-align: center;
    text-decoration: none;
    line-height: 4.5rem;
    padding-left: 0.45rem;
}

.mainpage-contents h2 {
    margin: 0;
    padding: 0;
}



/* 5 - METROLOOK */



/*

@import "mediawiki.mixins";

#mw-page-base {
	background-color: darkseagreen !important;
	background-image: none;
}

@media (max-width:768px) {
#mw-page-base {
	background-color: darkseagreen;
}
}

@media only screen and (min-device-width : 768px) and (max-device-width : 1024px) and (orientation : portrait) {
#mw-page-base {
	background-color: darkseagreen;
}
}

@media only screen and (min-device-width : 768px) and (max-device-width : 1024px) and (orientation : landscape) {
#mw-page-base {
	background-color: darkseagreen;
}
}

div.vectorTabs a:hover {
	background-color: mediumseagreen;
}

div.onhoverbg:hover {
	background-color: mediumseagreen;
}

img.downarrow:hover{
	background-color: mediumseagreen;
}

div.vectorMenu:hover h5 a {
	background-color: mediumseagreen;
}

div.vectorMenu h5 a {
	background-color: darkseagreen; 
}

div.vectorMenu:hover {
	background-color: mediumseagreen;
}

div.vectorMenu ul {
	border: solid 2px darkseagreen;
	border-top: none;

}


@media (max-width: 768px) {
#hamburgerIcon:hover {
	background-color: mediumseagreen;
}

img.editbutton:hover {
	background-color: mediumseagreen;
}

div.actionmenu ul {
	border-top: solid 2px darkseagreen;
}

#left-navigation {
	background-color: darkseagreen;
}
}*/
/* Allow limiting of which header levels are shown in a TOC;
   <div class="toclimit-3">, for instance, will limit to
   showing ==headings== and ===headings=== but no further
   (as long as there are no =headings= on the page, which
   there shouldn't be according to the MoS).
 */
.toclimit-2 .toclevel-1 ul,
.toclimit-3 .toclevel-2 ul,
.toclimit-4 .toclevel-3 ul,
.toclimit-5 .toclevel-4 ul,
.toclimit-6 .toclevel-5 ul,
.toclimit-7 .toclevel-6 ul {
    display: none;
}


.naviText {
    display: inline-block;
    color: #b8860b;
    cursor: pointer;
    padding: 1px;
}

.naviCopied {
    display: none;
    color: #b8860b;
    border: 1px dotted #e0ac28;
    padding: 0 20px;
    border-radius: 5px;
}

/* Hide main page header */
body.page-Main_Page h1.firstHeading {
    display:none;
}

/* Hide MH header */
body.page-Monster_Hunter_Portal h1.firstHeading {
    display:none;
}

/* Hide Class Guides header */
body.page-Category:Class_Guides h1.firstHeading {
    display:none;
}